package com.clx.performance.service;

import com.clx.performance.model.OrderGoodsAdjustmentPrice;
import com.clx.performance.vo.pc.DriverFreightPriceChartVO;

import java.math.BigDecimal;
import java.util.List;

/**
 * @author kavin
 * Date 2024-07-18
 * Time 17:04
 */
public interface OrderGoodsAdjustmentPriceService {
    void saveOrderGoodsAdjustmentPrice(OrderGoodsAdjustmentPrice item);

    List<DriverFreightPriceChartVO> getDriverFreightPriceChart(String orderNo);

    List<DriverFreightPriceChartVO> getAdjacentPosDuplicateRemoveAdjustmentPriceRecord(List<String> orderNoList);

    List<BigDecimal> getNoRepeatAdjustmentPriceRecord(List<String> orderNoList);
}
